<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CRUD</title>
  </head>
  <body>
    <script>
      // obj = {
      //   name: "",
      //   email: "",
      //   phone: "",
      //   address: "",
      // };
      let users = [
        {
          id: 1,
          name: "Vivek",
          email: "vivek@abc.com",
          phone: "8989389333",
          address: "Singapore",
        },
        {
          id: 2,
          name: "Dev",
          email: "dev@abc.com",
          phone: "866u389333",
          address: "India",
        },
        {
          id: 3,
          name: "Ameer",
          email: "ameer@abc.com",
          phone: "877779333",
          address: "Asia",
        },
      ];
      var display = function () {
        var html =
          "<table><th> #</th> <th> name</th><th> email</th><th> phone</th> <th> edit</th> <th> delete</th>";
        for (var i = 0; i < users.length; i++) {
          html += "<tr>";
          html += "<td>" + users[i].id + "</td>";
          html += "<td>" + users[i].name + "</td>";
          html += "<td>" + users[i].phone + "</td>";
          html += "<td>" + users[i].email + "</td>";
          html += "<td><button >edit </button></td>";
          html += "<td><button onClick='()=>{console.log('user');}'>delete </button></td>";
          
          html += "</tr>";
        }
        html += "</table>";
        document.getElementById("result").innerHTML = html;

        };

      var addUser = function () {
        name = document.getElementById("name").value;
        email = document.getElementById("email").value;
        phone = document.getElementById("phone").value;
        address = document.getElementById("address").value;

        var obj = {
          id: Date.now(),
          name: name,
          email: email,
          phone: phone,
          address: address,
        };
        users.push(obj);
        console.log(obj);
        display();
      };

      let deleteUser = () => {
        //how js works
        let temp = [];
        var user = document.getElementById("name").value;
        if (user === "") {
          users.pop();
        } else {
          users = users.filter(function (item) {
            return item != user;
          });
          console.log("Assignment remove :" + user);
        }

        display();
        //customers.shift();
        //customers.unshift();
      };
    </script>
    <div>
      <form name="user" id="user">
        <input type="text" name="Name" placeholder="Name" id="name" /><br />
        <br />
        <input type="email" name="email" placeholder="Email" id="email" />
        <br /><br />
        <input type="number" name="phone" placeholder="phone" id="phone" />
        <br /><br />
        <input type="text" name="address" placeholder="Address" id="address" />
        <br /><br />
        <input onclick="addUser()" type="button" name="" value="Add" /> |
        <input onclick="deleteUser()" type="button" name="" value="Delete" /> |

        <input onclick="display()" type="button" name="" value="Show All" />

        <h4>Result</h4>
        <br />
        <div id="result"></div>
        <script type="text/javascript">
          display();
        </script>
      </form>
    </div>
  </body>
</html>
